import { FieldInfo } from 'model-util-base';
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-11-10 14:00
 */
export interface BusUserSubpayAuth {
    /**
    * ID
    * @type { string }
    */
    id?: string;
    /**
    * 被授权的用户ID
    * @type { string }
    */
    userId?: string;
    /**
    * 认证车主的用户ID
    * @type { string }
    */
    ownerUserId?: string;
    /**
    * 车场ID
    * @type { string }
    */
    lotId?: string;
    /**
    * 车场名称
    * @type { string }
    */
    lotName?: string;
    /**
    * 入场时间
    * @type { string }
    */
    comeTime?: string;
    /**
    * 车牌号
    * @type { string }
    */
    carPlateNum?: string;
    /**
    * 创建时间
    * @type { Date }
    */
    createTime?: Date;
    /**
    * 授权状态：1授权，0拒绝
    * @type { number }
    */
    authState?: number;
}
export declare class BusUserSubpayAuthMI {
    static get ID(): FieldInfo;
    static get USER_ID(): FieldInfo;
    static get OWNER_USER_ID(): FieldInfo;
    static get LOT_ID(): FieldInfo;
    static get LOT_NAME(): FieldInfo;
    static get COME_TIME(): FieldInfo;
    static get CAR_PLATE_NUM(): FieldInfo;
    static get CREATE_TIME(): FieldInfo;
    static get AUTH_STATE(): FieldInfo;
}
